<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#a3e56460ff815ebe5dc2b29de7219842c">combiner</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#a0512db85aa1f1d4c22fcd580cfcb73d9">communicationManager</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#acb6ee9ef49c512e6c93a60b34432e7dc">computationManager</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#adab02e106580c693624ab0c09f990c3f">computeMSE</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#a3c994c596876a990f3d50ccbdfe67dc1">computeNormalizedSNR</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#ae0bb45fbda44e306a8d5c9f1462f7788">computeSNR</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#abb1e36ddb7bdc5cebc818ede86a99112">dataManager</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#ac4398cea50a47d510ecb443ff2f00608">deviceID</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#af1614eaedc6ea59b6af6a79ef1245767">flagDirected</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#a867d99dcfbbcbe77daf3d609d11f302a">get_num_edges</a>()</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#ae402e1a07b88e4d16fa325ce6905a9ea">get_num_vertices</a>()</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#a8f6916248f2a22f15366c708781b9e43">initGraph</a>(vector&lt; ALG_VERTEX_TYPE &gt; &amp;verticesList)</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#a26eb72e0a3c85dd4c21f9e605893e960">MaxCollision</a>()</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#a625ac02721692d20d874c59f2b60db31">memory_usage</a>()</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#a5b1064eb38ead6372033148bf25d88ff">numDevices</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#a611534eeb87b0b756c5f9eab9f14b893">numLocalVertices</a></td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#a00ae3aa10a65f84f5f77567ecc2f3025">PregelTIGL</a>(bool isDirected, uint64 numTotalVertices, uint32 idDevice=0, uint32 totalDevices=1, int allocThreads=NUM_OMP_THREADS)</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#a4b69c604bdb1488a1aff1ff3d2b3b216">readSubgraphFromFile</a>(char *fileName)</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelTIGL.html#a053628d7cc383525c539bdabad44b8b6">reset</a>()</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelTIGL.html#ae185ca60d0fe31df878dca4ddfe7d991">run</a>(uint32 maxSS=DEFAULT_MAXIMUM_SS, ALG_INIT *initParams=0)</td><td class="entry"><a class="el" href="classPregelTIGL.html">PregelTIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 14 2014 14:29:26 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
